# $Revision: 1.7 $, $Date: 2004/06/05 22:20:02 $
Summary:	Interface to several low-level networking routines
Summary(pl):	Interfejs do niektrych niskopoziomowych funkcji sieciowych
Name:		libdnet
Version:	1.8
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdnet/%{name}-%{version}.tar.gz
# Source0-md5:	187054990cd8e4e1aa6845912b34236d
Patch0:		%{name}-ac.patch
Patch1:		%{name}-am.patch
URL:		http://libdnet.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
* network address manipulation
* kernel arp cache and route table lookup and manipulation
* network firewalling (IP filter, ipfw, ipchains, pf, ...)
* network interface lookup and manipulation
* raw IP packet and Ethernet frame transmission

%description -l pl
libdnet zapewnia uproszczony, przenony interfejs do niektrych
niskopoziomowych funkcji sieciowych, wczajc w to:
* manipulacj adresami sieciowymi
* przegldanie i modyfikacj pamici podrcznej ARP oraz tablic routingu
* firewalling (IP filter, ipfw, ipchains, pf, ...)
* wysyanie ,,surowych'' pakietw IP i ramek Ethernetowych

%package devel
Summary:	Header files for libdnet
Summary(pl):	Pliki nagwkowe biblioteki libdnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdnet.

%description devel -l pl
Pliki nagwkowe biblioteki libdnet.

%package static
Summary:	libdnet static library
Summary(pl):	Statyczna biblioteka libdnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libdnet static library.

%description static -l pl
Statyczna biblioteka libdnet.

%package progs
Summary:	Sample applications to use with libdnet
Summary(pl):	Przykadowe aplikacje do wykorzystania libdnet
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description progs
Sample applications to use with libdnet.

%description progs -l pl
Przykadowe aplikacje do wykorzystania libdnet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/dnet
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdnet.spec,v $
Revision 1.7  2004/06/05 22:20:02  qboosh
- updated to 1.8, updated am patch, added ac patch, removed obsolete lt patch

Revision 1.6  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.5  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/02 16:31:48  qboosh
- fixed Source0 URL, BR: ac,am,lt

Revision 1.1  2003/04/01 14:07:37  zagrodzki
- initial release
